/**
 * @flow
 */

/**
 * 过滤数组
 * @param arr
 * @returns {*}
 */
export function arrFilter(arr) {
  if (arr) {
    const result = arr.filter(function (element, index, self) {

      console.log(element); // 依次打印'A', 'B', 'C'

      console.log(index); // 依次打印0, 1, 2

      console.log(self); // self就是变量arr

      return true;

    });
    return result
  }
  return arr
}

/**
 * 检测数组所有元素是否都符合指定条件
 * @param arr
 */
export function arrEvery(arr,callback) {
  arr.every(function(currentValue,index,arr){

  }, callback)
}
